Bug 87476 - SRPMS: buid.py fails if . in PATH before /usr/bin/
SRPMS: buid.py fails if . in PATH before /usr/bin/
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: PyQt (Show other bugs)
8.0
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-27 09:11 EST by Sysoltsev Slawa
Modified: 2007-03-27 00:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-30 10:40:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log produced by `rpmbuild -bc --define "_topdir $(pwd)" SPECS/PyQt.spec` (8.87 KB, text/plain)
2003-03-27 09:13 EST, Sysoltsev Slawa
no flags Details

  None (edit)
Description Sysoltsev Slawa 2003-03-27 09:11:44 EST
Description of problem:
Building PyQt from sources I got the problem, that build.py (configure script) 
recognizes "sip" directory in sources as it would "sip" code generator (which 
actually is in /usr/bin/).
I have . in my PATH variable near to the beginning, so it appears before /usr/bin, 
where sip is situated. In sources there is "sip" directory, so build.py script 
determines that this DIRECTORY is my acute sip code generaror and fails to 
execute it. Here is part of its output:
....
******************************************************************************
/home/users/vsysoltx/tc_4/WORK_DIR/BUILD/PyQt-3.3.2/sip will be used as the 
SIP
code generator.
******************************************************************************
******************************************************************************
Error: /home/users/vsysoltx/tc_4/WORK_DIR/BUILD/PyQt-3.3.2/sip failed with an
exit code of 127.
...

You should fix the build.py not do such an error. It is quite easy to check wheteher 
something file or directory in searchPath function and skip directories. I would fix it 
and send you the patch but I unfortunately don't know python.



Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. export PATH=.:$PATH
2. Try to build PyQt from SRPMS

    
Actual results:
build.py fails

Expected results:
Succesfully built package

Additional info:
I'll attach the full log.
I use may be quite old version of PyQt package (3.3.2, got this quite long ago). As 
soon as RH9.0 is released I will use new one. Just check that there is no such 
error in it.
Comment 1 Sysoltsev Slawa 2003-03-27 09:13:08 EST
Created attachment 90743 [details]
Log produced by `rpmbuild -bc --define "_topdir $(pwd)" SPECS/PyQt.spec`
Comment 2 Ngo Than 2003-04-30 10:40:32 EDT
it's fixed in PyQt-3.6-2 or newer

Note You need to log in before you can comment on or make changes to this bug.